Hardware Locality (hwloc) 2.4.1rc3

Data Fields
hwloc_topology_discovery_support Struct Reference
Topology Detection Configuration and Query

`#include <hwloc.h>`

## Data Fields
unsigned char | pu
unsigned char | numa
unsigned char | numa_memory
unsigned char | disallowed_pu
unsigned char | disallowed_numa
unsigned char | cpukind_efficiency

## Detailed Description

Flags describing actual discovery support for this topology.

## Field Documentation

## ◆ cpukind_efficiency

unsigned char hwloc_topology_discovery_support::cpukind_efficiency

Detecting the efficiency of CPU kinds is supported, see Kinds of CPU cores.

## ◆ disallowed_numa

unsigned char hwloc_topology_discovery_support::disallowed_numa

Detecting and identifying NUMA nodes that are not available to the current process is supported.

## ◆ disallowed_pu

unsigned char hwloc_topology_discovery_support::disallowed_pu

Detecting and identifying PU objects that are not available to the current process is supported.

## ◆ numa

unsigned char hwloc_topology_discovery_support::numa

Detecting the number of NUMA nodes is supported.

## ◆ numa_memory

unsigned char hwloc_topology_discovery_support::numa_memory

Detecting the amount of memory in NUMA nodes is supported.

## ◆ pu

unsigned char hwloc_topology_discovery_support::pu

Detecting the number of PU objects is supported.

The documentation for this struct was generated from the following file:

- hwloc.h